import { adapter } from '@/utils';
import { adapterOfFetchEventList, adapterOfFetchFieldList } from '@/service/api/event.adapter';
import { backgroundRequest } from '../request';

/** 获取用户列表 */
export const fetchFieldList = async (page: number, page_size: number, name: string) => {
  const param = {
    page,
    page_size,
    name
  };
  const data = await backgroundRequest.post<ApiBackground.Field[] | null>('/kpt/field/search', param);
  return adapter(adapterOfFetchFieldList, data);
};

export const fetchEventList = async () => {
  const data = await backgroundRequest.post<ApiBackground.Event[] | null>('/kpt/event/search');
  return adapter(adapterOfFetchEventList, data);
};
